curl "https://api.smartcar.com/v2.0/vehicles/{id}/tires/pressure" \
-H "Authorization: Bearer {token}" \
-X "GET"
tire_pressure = vehicle.tire_pressure()
const tirePressure = await vehicle.tirePressure();
VehicleTirePressure tirePressure = vehicle.tirePressure();
tire_pressure = vehicle.tire_pressure
{
"backLeft": 219.3,
"backRight": 219.3,
"frontLeft": 219.3,
"frontRight": 219.3
}
Vehicle Data
Tire Pressure
Returns the air pressure of each of the vehicle’s tires.
curl "https://api.smartcar.com/v2.0/vehicles/{id}/tires/pressure" \
-H "Authorization: Bearer {token}" \
-X "GET"
tire_pressure = vehicle.tire_pressure()
const tirePressure = await vehicle.tirePressure();
VehicleTirePressure tirePressure = vehicle.tirePressure();
tire_pressure = vehicle.tire_pressure
{
"backLeft": 219.3,
"backRight": 219.3,
"frontLeft": 219.3,
"frontRight": 219.3
}
The Vehicles API v2.0 will be deprecated on December 1, 2026. The latest version, v3, was introduced on August 26, 2025. We recommend migrating as soon as possible to ensure continued support and access to new features.
Permission
read_tires
Request
Pathstring
required
The vehicle ID of the vehicle you are making a request to.
curl "https://api.smartcar.com/v2.0/vehicles/{id}/tires/pressure" \
-H "Authorization: Bearer {token}" \
-X "GET"
tire_pressure = vehicle.tire_pressure()
const tirePressure = await vehicle.tirePressure();
VehicleTirePressure tirePressure = vehicle.tirePressure();
tire_pressure = vehicle.tire_pressure
Response
number
default:"kilopascals"
The current air pressure of the front left tire.
number
default:"kilopascals"
The current air pressure of the front right tire.
number
default:"kilopascals"
The current air pressure of the back left tire.
number
default:"kilopascals"
The current air pressure of the back right tire.
{
"backLeft": 219.3,
"backRight": 219.3,
"frontLeft": 219.3,
"frontRight": 219.3
}
Was this page helpful?

